Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 231984

Summary: Review Request: Vym - View Your Mind
Product: [Fedora] Fedora Reporter: Gwyn Ciesla <gwync>
Component: Package ReviewAssignee: Mamoru TASAKA <mtasaka>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: chitlesh
Target Milestone: ---Flags: mtasaka: fedora-review+
petersen: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-03-21 19:30:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Gwyn Ciesla 2007-03-13 13:45:10 UTC
Spec URL: http://zanoni.jcomserv.net/extras/vym/vym.spec
SRPM URL: http://zanoni.jcomserv.net/extras/vym/vym-1.8.1-2.src.rpm
Description: VYM (View Your Mind) is a tool to generate and manipulate maps
which show your thoughts. Such maps can help you to improve
your creativity and effectivity[sic]. You can use them for time management,
to organize tasks, to get an overview over complex contexts.

Comment 1 Mamoru TASAKA 2007-03-13 15:39:01 UTC
Some notes:

* mockbuild fails, at least due to the lack of desktop-file-utils
* For Source, please check:
  http://fedoraproject.org/wiki/Packaging/SourceURL
* I don't figure out why you use
--------------------------------------------
    --add-category Office                      \
--------------------------------------------
  although you create desktop file at your own by using "cat"
  command.
* mockbuild log says:
--------------------------------------------
cp -f "vym" "/var/tmp/vym-1.8.1-2.fc7-root-mockbuild/usr/bin/vym"
cp -f -r "styles" "/var/tmp/vym-1.8.1-2.fc7-root-mockbuild/usr/share/vym/"
cp -f -r "scripts" "/var/tmp/vym-1.8.1-2.fc7-root-mockbuild/usr/share/vym/"
cp -f -r "icons" "/var/tmp/vym-1.8.1-2.fc7-root-mockbuild/usr/share/vym/"
cp -f -r "flags" "/var/tmp/vym-1.8.1-2.fc7-root-mockbuild/usr/share/vym/"
cp -f -r "lang" "/var/tmp/vym-1.8.1-2.fc7-root-mockbuild/usr/share/vym/"
cp -f -r "demos"
"/var/tmp/vym-1.8.1-2.fc7-root-mockbuild/usr/share/doc/packages/vym/"
cp -f -r "exports" "/var/tmp/vym-1.8.1-2.fc7-root-mockbuild/usr/share/vym/"
--------------------------------------------
  please try to keep timestamps on the files under the directories
  shown above.

Comment 2 Gwyn Ciesla 2007-03-13 17:43:36 UTC
Spec URL: http://zanoni.jcomserv.net/extras/vym/vym.spec
SRPM URL: http://zanoni.jcomserv.net/extras/vym/vym-1.8.1-3.src.rpm

Fixed BRs and .desktop file handling.  What do you mean/what should I do
regarding the timestamp issue?

Comment 3 Mamoru TASAKA 2007-03-16 17:38:24 UTC
For 1.8.1-3:

* Desktop file
-------------------------------------------------
Icon=%{_datadir}/icons/hicolor/16x16/vym.png
-------------------------------------------------
  - This is incorrect. This must be:
-------------------------------------------------
Icon=vym.png
-------------------------------------------------
    or
-------------------------------------------------
Icon=vym
-------------------------------------------------

* BuildRequires:
  - Would you explain why "kdelibs" is needed for BuildRequires?

* Timestamps
  - The following is okay for this package.
-------------------------------------------------
%{__make} install DESTDIR=%{buildroot} COPY="%{__cp} -p -f"
-------------------------------------------------

??
  - Why do you write the following?
-------------------------------------------------
## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d %{buildroot}$HTML_DIR ]; then
......
fi
-------------------------------------------------
    I don't see the necessity of these scripts.

* Documentation location
-------------------------------------------------
%{__rm} -rf %{buildroot}%{_docdir}/packages/%{name}
-------------------------------------------------
  - Now, when I try to
    -- launch yum
    -- "Help" -> "Open VYM Documentation (pdf)"
    Then:
-------------------------------------------------
Couldn't find the documentation
vym.pdf in various places.
-------------------------------------------------
    - Fix mainwindow.cpp around the line 2780.

* Directory ownership
  - Why is the following empty directory needed?
-------------------------------------------------
/usr/share/vym/styles/wiki
-------------------------------------------------

Comment 4 Gwyn Ciesla 2007-03-19 19:34:54 UTC
Spec URL: http://zanoni.jcomserv.net/extras/vym/vym.spec
SRPM URL: http://zanoni.jcomserv.net/extras/vym/vym-1.8.1-4.src.rpm

I've addressed the desktop icon issue and the timestamp issue, and symlinked the
doc location instead of patching the source.  I removed the HTML script, as I
can find nothing in the docs to indicate that they're required.

KDElibs are required because it won't build without them.

Not sure what that wiki dir is about.  I'll look into it.


Comment 5 Gwyn Ciesla 2007-03-20 13:55:06 UTC
Spec URL: http://zanoni.jcomserv.net/extras/vym/vym.spec
SRPM URL: http://zanoni.jcomserv.net/extras/vym/vym-1.8.1-4.src.rpm

Additional testing revealed more icon and pdf problems, which I've fixed.

Also, the wiki dir is for XML export.

Comment 6 Mamoru TASAKA 2007-03-20 16:29:03 UTC
Well,
* Source0:
  - Well your source0 differs from what is recommended by
    http://fedoraproject.org/wiki/Packaging/SourceURL , however,
    it seems no difference in essence.

* Directory ownership
  - /usr/share/doc/packages/ is not owned by any package.
    And on my system, the packages which have some files or directory
    under the directory are only OOo, except for this package.

    I guess that /usr/share/doc/packages/ directory is a unusual
    directory and this directory should not be used.

Comment 7 Gwyn Ciesla 2007-03-21 15:01:14 UTC
I've fixed the URL.  I suppose I could patch to change the path, instead of the
symlink, but as the version might change, the path could change.  If we can make
an exception for OO.org, why not Vym?  I also altered the ownership to cover
just the vym folder in that directory.

Spec URL: http://zanoni.jcomserv.net/extras/vym/vym.spec
SRPM URL: http://zanoni.jcomserv.net/extras/vym/vym-1.8.1-6.src.rpm

Comment 8 Mamoru TASAKA 2007-03-21 15:06:41 UTC
(In reply to comment #7)

> If we can make
> an exception for OO.org, why not Vym?

IMO OOo should _not_ use /usr/share/doc/packages/ directory,
either.

Comment 9 Gwyn Ciesla 2007-03-21 15:09:43 UTC
Fair enough, I'll prepare a patch.

Comment 11 Mamoru TASAKA 2007-03-21 17:41:30 UTC
Well,
* Recommendation (not a blocker)
  - I recommend that patches (diffs) are created by unified 
    output format.

Okay.
------------------------------------------
   This package (vym) is APPROVED by me.
------------------------------------------

Comment 12 Gwyn Ciesla 2007-03-21 17:44:09 UTC
ew Package CVS Request
=======================
Package Name: vym
Short Description: Mind mapping tool
Owners: limb@jcomserv.net
Branches: FC-5 FC-6
InitialCC: 

Comment 13 Gwyn Ciesla 2007-03-21 17:44:38 UTC
I'll re-generate the patches prior to import.  Thanks.

Comment 14 Gwyn Ciesla 2007-03-21 19:28:32 UTC
Imported and built successfully for 5, 6 and devel.  Enjoy, Chitlesh.

Comment 15 Chitlesh GOORAH 2007-03-21 21:01:33 UTC
Thanks Jon Ciesla. It's great. The visitor at the Fedora Booth(Chemnitz) and 
JoergSimon will be happy.

Great work.

Comment 16 Gwyn Ciesla 2007-03-22 11:35:32 UTC
You're very welcome.

Comment 17 Gwyn Ciesla 2007-05-21 17:59:00 UTC
Package Change Request
======================
Package Name: vym
New Branches: EL-4 EL-5

Comment 18 Jens Petersen 2007-05-27 03:45:12 UTC
el branches done